FROM quay.io/centos/centos:stream8

USER root
WORKDIR /opt/create_yum_repo

RUN dnf install -y createrepo_c-0.17.7-6.el8 \
    krb5-devel-1.18.2-21.el8 \                   
    python39-pip-20.2.4-7.module_el8.6.0+961+ca697fb5 \
    python39-devel-3.9.13-1.module_el8.7.0+1178+0ba51308 \
    tree-1.7.0-15.el8 \
    diffutils-3.6-6.el8 \
    git-2.31.1-2.el8 \
    gcc-8.5.0-15.el8 \
    && dnf clean all

COPY *requirements.txt ./
RUN pip3 install --no-cache-dir awscli -r requirements.txt -r test_requirements.txt

COPY . .
RUN pip3 install --no-cache-dir .

USER guest
